Subject: Catch PDO exceptions to avoid outputting database information in exception backtrace
Description

If the PDO connection throws an exception, it's not catched by FLOW3, which leads to a debug backtrace showing the calls to the
PDO calls revealing the database information. Even though this only happens in Production context, I still believe that it should not be
shown there.

I've created a patch and provided before and after screenshots. I have also testet that normal sql exceptions are not catching by this,
e.g. a missing table.

Associated revisions
Revision 4df796af - 2012-07-18 17:10 - Aske Ertmann 

[FEATURE] Catch PDOExceptions to prevent database information in debug backtrace

Add catching of \PDOExceptions to the Doctrine Query class, and output the
exception message & code, but prevent the debug backtrace leading up to
it, since it contains the database information in the method calls.

Change-Id: Id0fcb66ed3d567f5190805cc023f195f425ceb14
Resolves: #37360
Releases: 1.2

History
#1 - 2012-05-21 14:58 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11369

#2 - 2012-05-21 15:03 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11370

#3 - 2012-05-22 10:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11370

#4 - 2012-05-22 10:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11370

#5 - 2012-05-22 12:34 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11370

#6 - 2012-07-18 17:13 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11370

#7 - 2012-07-18 17:14 - Karsten Dambekalns
- Status changed from Under Review to Resolved
